#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	$(MAKE) test

override_dh_clean:
	rm -rf derpconf.egg-info
	dh_clean

get-orig-source:
	OUTDIR=$$PWD ; \
	MAKEFILE=`echo $(MAKEFILE_LIST) | awk '{ print $$1 }'` ; \
	FILE=`readlink -f $$MAKEFILE` ; \
	DIR=`dirname $$FILE` ; \
	cd $$DIR/.. ; \
	TMP=`mktemp -d` ; \
	if ! USCAN=`uscan --no-symlink --destdir $$TMP` ; then exit 1 ; fi ; \
	VERSION=`echo $$USCAN | sed -n 's/.*Newer version (\(.*\)) available.*/\1/p'` ; \
	cd $$TMP ; \
	tar xzf derpconf-$$VERSION.tar.gz ; \
	cd derpconf-$$VERSION ; \
	rm -rf debian ; \
	cd .. ; \
	tar c derpconf-$$VERSION | gzip -9 > derpconf_$$VERSION.orig.tar.gz ; \
	rm -rf derpconf-$$VERSION ; \
	mv derpconf_$$VERSION.orig.tar.gz $$OUTDIR ; \
	cd $$OUTDIR ; \
	rm -rf $$TMP ; \
	echo Saved file at derpconf_$$VERSION.orig.tar.gz
